INTERFACE
SUBROUTINE CVAR3IN(YDCV,YDSPEC,PGP3,PGP2,KCOMP,LDJBBAL)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS
USE SPECTRAL_FIELDS_MOD
TYPE(CONTROL_VECTOR), INTENT(IN) :: YDCV
TYPE(SPECTRAL_FIELD), INTENT(INOUT) :: YDSPEC
REAL(KIND=JPRB), INTENT(INOUT) :: PGP3(:,:,:),PGP2(:,:,:)
INTEGER(KIND=JPIM), INTENT(IN) :: KCOMP
LOGICAL, OPTIONAL, INTENT(IN) :: LDJBBAL
END SUBROUTINE CVAR3IN
END INTERFACE
